Bug 466982 - post installation script failed
post installation script failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rarian (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 17:25 EDT by Stephan Sachse
Modified: 2008-11-29 01:29 EST (History)
2 users (show)

See Also:
Fixed In Version: rarian-0.6.0-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 01:29:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem (555 bytes, patch)
2008-10-14 17:25 EDT, Stephan Sachse
no flags Details | Diff

  None (edit)
Description Stephan Sachse 2008-10-14 17:25:34 EDT
Created attachment 320356 [details]
patch to fix the problem

Description of problem:


Version-Release number of selected component (if applicable):rarian-0.6.0-3.fc8.src.rpm


How reproducible: always

Steps to Reproduce:
1. mock -r fedora-8-i386 --init
2. mock -r fedora-8-i386 --install rarian-compat
3.
  
Actual results:
add command failed
could not open /etc/xml/catalog for saving
could not open /etc/xml/catalog for saving
add command failed
error: %post(rarian-compat-0.6.0-3.fc8.i386) scriptlet failed, exit status 2

Expected results:
clean install
Comment 1 Matthew Barnes 2008-10-15 09:59:47 EDT
This is fixed already in Fedora 9, though your patch is interesting in that I didn't realize you could require specific files.  The Fedora 9 package requires libxml2 for %post and %postun, which provides /etc/xml/catalog.

Do you have a particular need for this to be backported to Fedora 8?
Comment 2 Stephan Sachse 2008-10-15 12:03:03 EDT
(In reply to comment #1)
> This is fixed already in Fedora 9, though your patch is interesting in that I
> didn't realize you could require specific files.  The Fedora 9 package requires
> libxml2 for %post and %postun, which provides /etc/xml/catalog.

/etc/xml/catalog is provided by xml-common on fc8

> Do you have a particular need for this to be backported to Fedora 8?

yes i have.

i build backages with mock and since laste yum changes (errors in scriptlets changes yum return code to != 0) break mock builds.

claws-mail (3.6.1) rebuild for fc8 will trigger this bug ;)
Comment 3 Matthew Barnes 2008-10-15 13:39:11 EDT
So I just checked; there's a rarian-0.6.0-4.fc8 with this fix (backported from Fedora 9) already in Fedora Updates Testing.  Can you try that and see if it works for you?
Comment 4 Stephan Sachse 2008-10-15 15:02:31 EDT
(In reply to comment #3)
> So I just checked; there's a rarian-0.6.0-4.fc8 with this fix (backported from
> Fedora 9) already in Fedora Updates Testing.  Can you try that and see if it
> works for you?

works for me

but the fix looks crazy for me.

why not require /etc/xml/catalog instead off hide the error?
Comment 5 Bug Zapper 2008-11-26 06:14:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.